Update webhook credentials
curl --request POST \
--url https://api.example.com/api/v2/webhooks/{id}/credentials \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"signingToken": "<string>",
"username": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/webhooks/{id}/credentials"
payload = {
"token": "<string>",
"signingToken": "<string>",
"username": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
signingToken: '<string>',
username: '<string>',
password: '<string>'
})
};
fetch('https://api.example.com/api/v2/webhooks/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasSigningToken": true
},
"meta": {
"requestId": "<string>",
"timestamp": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}Webhooks
Update webhook credentials
POST
/
api
/
v2
/
webhooks
/
{id}
/
credentials
Update webhook credentials
Path Parameters
Body
application/json
⌘I